# Amazon EC2 Container Service SDK

> _Warning:_ This is an experimental preview release which is still under heavy development and not intended for public consumption, _caveat emptor_!

* [Description](#description)
* [Contribute](#contribute)
* [Licence](#licence)

## Description

Amazon EC2 Container Service is a highly scalable, high performance container
management service that supports Docker containers and allows you to easily
run distributed applications on a managed cluster of Amazon EC2 instances.
Amazon EC2 Container Service lets you launch and stop container-enabled
applications with simple API calls, allows you to query the state of your
cluster from a centralized service, and gives you access to many familiar
Amazon EC2 features like security groups, EBS volumes and IAM roles. You can
use EC2 Container Service to schedule the placement of containers across your
cluster based on your resource needs, isolation policies, and availability
requirements. Amazon EC2 Container Service eliminates the need for you to
operate your own cluster management and configuration management systems or
worry about scaling your management infrastructure.

Documentation is available via [Hackage](http://hackage.haskell.org/package/amazonka-ecs)
and the [AWS API Reference](http://docs.aws.amazon.com/AmazonECS/latest/APIReference/Welcome.html).


## Contribute

For any problems, comments, or feedback please create an issue [here on GitHub](https://github.com/brendanhay/amazonka/issues).

> _Note:_ this library is an auto-generated Haskell package. Please see `amazonka-gen` for more information.


## Licence

`amazonka-ecs` is released under the [Mozilla Public License Version 2.0](http://www.mozilla.org/MPL/).

Parts of the code are derived from AWS service descriptions, licensed under Apache 2.0.
Source files subject to this contain an additional licensing clause in their header.
